#ifndef TREE_NODE_H
#define TREE_NODE_H

#include <iostream>
using namespace std;

class TreeNode {
public:
	TreeNode(int value): value_(value), leftChild_(nullptr), rightChild_(nullptr) {}
	TreeNode(const TreeNode&) = delete;
	TreeNode(TreeNode&&) = delete;

	int getValue() const { return value_; }
	TreeNode* getLeftChild() const { return leftChild_; }
	TreeNode* getRightChild() const { return rightChild_; }

	void setLeftChild(TreeNode* leftChild) { leftChild_ = leftChild; }
	void setRightChild(TreeNode* rightChild) { rightChild_ = rightChild; }

private:
	// Cvor stabla ima informacioni deo (value) i pokazivace na levo i desno podstablo
	int value_;
	TreeNode* leftChild_;
	TreeNode* rightChild_;
};

#endif

